# Version 2.0

- [Using Conscent.ai](https://docs.conscent.ai/version-2.0/using-conscent.ai.md)
- [Web SDK](https://docs.conscent.ai/version-2.0/web-sdk.md)
- [Login](https://docs.conscent.ai/version-2.0/login.md): The ConsCent SSO service allows users to authenticate themselves on the ConsCent platform. This service supports both login and logout functionalities, which can be hosted by either ConsCent or client
- [Logout](https://docs.conscent.ai/version-2.0/logout.md): To log out the user, use the following code:
- [User Details Drawer](https://docs.conscent.ai/version-2.0/user-details-drawer.md): The userDetailsPage function opens a drawer displaying user details after a successful login. This feature is available only if you're using Conscent's login system.
- [Google One Tap](https://docs.conscent.ai/version-2.0/google-one-tap.md): To enable Google One Tap login functionality within Conscent's client environment, follow the steps below:
- [Mobile SDK](https://docs.conscent.ai/version-2.0/mobile-sdk.md): A Mobile SDK is a software package that contains a set of tools that can help to build platform-specific mobile applications and implement new features in existing mobile apps.
- [iOS(Swift)](https://docs.conscent.ai/version-2.0/mobile-sdk/ios-swift.md): This guide provides step-by-step instructions on how to include the Conscent.ai Plugin in your iOS app. The Conscent.ai Plugin is developed in swift Language.
- [In-App Purchases with Conscent](https://docs.conscent.ai/version-2.0/mobile-sdk/ios-swift/in-app-purchases-with-conscent.md): This guide helps you integrate Apple In-App Purchases (IAP) with the Conscent Gateway.
- [Android SDK](https://docs.conscent.ai/version-2.0/mobile-sdk/android-sdk.md): This is a step by step guide to include Conscent.ai Plugin in your app. This plugin is developed in Kotlin and supports both Java and Kotlin languages.
- [React Native SDK](https://docs.conscent.ai/version-2.0/mobile-sdk/react-native-sdk.md): This is a step-by-step guide to include Conscent.ai package in your app. This package is developed in TypeScript and JavaScript.
- [Google In-App Purchases with Conscent](https://docs.conscent.ai/version-2.0/mobile-sdk/google-in-app-purchases-with-conscent.md): To enable the Google Play Android Developer API and the Google Play Developer Reporting API for your Google Cloud project, follow the steps outlined below:
- [Apple In-App Purchases with Conscent](https://docs.conscent.ai/version-2.0/mobile-sdk/apple-in-app-purchases-with-conscent.md): This guide helps you integrate Apple In-App Purchases (IAP) with the Conscent Gateway.
- [Facebook SSO Integration Guide](https://docs.conscent.ai/version-2.0/facebook-sso-integration-guide.md)
- [Landing Page API v 2.0](https://docs.conscent.ai/version-2.0/landing-page-api-v-2.0.md)
- [AMP Integration](https://docs.conscent.ai/version-2.0/amp-integration.md)
- [Integrating APIs(v2)](https://docs.conscent.ai/version-2.0/integrating-apis-v2.md)
- [Purchase Details](https://docs.conscent.ai/version-2.0/integrating-apis-v2/purchase-details.md): This API gives the details of the subscription plans that the user has purcahsed.
- [User Registered Or Not](https://docs.conscent.ai/version-2.0/integrating-apis-v2/user-registered-or-not.md): This API is used to identify if the user is registered or not.
- [User Registrations](https://docs.conscent.ai/version-2.0/integrating-apis-v2/user-registrations.md): This API is used to identify if the user is registered or not.
- [Subscription Plans Details](https://docs.conscent.ai/version-2.0/integrating-apis-v2/subscription-plans-details.md): This API retrieves the subscription plan details including subscription Id, Tier Id, price etc..
- [Get User Details](https://docs.conscent.ai/version-2.0/integrating-apis-v2/get-user-details.md): This API retrieves user details for a specified time range. It supports filtering by userId, email, and signUpOriginUrl.
- [Add Subscription If User Registered](https://docs.conscent.ai/version-2.0/integrating-apis-v2/add-subscription-if-user-registered.md): This API adds subscriptions to the Profile if the user is registerd.
- [Update UserDetails](https://docs.conscent.ai/version-2.0/integrating-apis-v2/update-userdetails.md)
- [Update SubscriptionDetails](https://docs.conscent.ai/version-2.0/integrating-apis-v2/update-subscriptiondetails.md)
- [Get All Transaction Details](https://docs.conscent.ai/version-2.0/integrating-apis-v2/get-all-transaction-details.md)
- [IAM System API Documentation](https://docs.conscent.ai/version-2.0/iam-system-api-documentation.md): Overview:


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.conscent.ai/version-2.0.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
